Subject: FVWM: Control Key Remapping Question

From: Oliver Seidel <[email-masked]>
Date: Wed, 15 Jan 1997 12:05:09 +0000

Hi,

I'm new to the mailing list.  I've looked through the list archive and
didn't find any answer (they do discuss key remapping, but it doesn't
help me).  I've been through the FAQ, but admittedly I haven't looked
around who the local guru might be.

I don't know which version of fvwm we were using before, but now we're
using 1.24r.

The configuration is as follows:

~$ uname -a
OSF1 xxx.cl.cam.ac.uk V3.2 41 alpha

Now, I've used xmodmap to remap both of my "compose character" keys to
yield "Control_L".  This used to work in whatever we had before, but
doesn't appear to be working now.

My emacs, as well as an emacs over an rlogin_in_xterm, controlled by
fvwm, displaying on the same X-Server, *DOES* recognize both of the
remapped keys as control keys.  So do normal xterms, xedit, etc..

Here are the (what I think are) relevant sections from my .xmodmap
file:

! -----------------------------------------------------------------
! ----- Remove settings that could get in the way
! -----------------------------------------------------------------

clear shift
clear lock
clear control
clear mod1

! -----------------------------------------------------------------
! ----- What I want to use as the CONTROL key
! -----------------------------------------------------------------

! real Control key
keycode 175 = Control_L

! left Compose key
keycode 177 = Control_L

! right Compose key
keycode 173 = Control_L

! -----------------------------------------------------------------
! ----- now perform the logical key to logical symbol assignments
! -----------------------------------------------------------------

add shift = Shift_L
add control = Control_L
add mod1 = Alt_L

Please, how can I make fvwm recognize the control keys to switch
virtual screens?  Again, here is an excerpt from my config file:

# ---------------------------------------------------------------------------
# ----- Key bindings
# ---------------------------------------------------------------------------

#       Key     Context Modifi  Function
Key     R13     A       C       Scroll  -100    0
Key     R15     A       C       Scroll  +100    +0
Key     R11     A       C       Scroll  +0      -100
Key     Left    A       C       Scroll  -100    0
Key     Right   A       C       Scroll  +100    +0
Key     Up      A       C       Scroll  +0      -100
Key     Down    A       C       Scroll  +0      +100

(private replies or replies to the list are both greatly appreciated)

Thanks a lot,

Oliver Seidel
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].